<?php
	ini_set('display_errors', '0');
	//session_start();
	//$_SESSION['num_identificacion']= '9999999999';
?>
<?php
require_once('../DOM/dompdf_config.inc.php');
//if(strlen($reg['last_name'])>0){
	
if(!ini_get('allow_url_fopen')){
	echo "Es necesario activar la directiva allow_url_fopen del php.ini";
	exit;
}

function file_get_contents_curl($url) {
  if (strpos($url,'http://') !== FALSE) {
    $fc = curl_init();
    curl_setopt($fc, CURLOPT_URL,$url);
    curl_setopt($fc, CURLOPT_RETURNTRANSFER,1);
    curl_setopt($fc, CURLOPT_HEADER,0);
    curl_setopt($fc, CURLOPT_VERBOSE,0);
    curl_setopt($fc, CURLOPT_SSL_VERIFYPEER,FALSE);
    curl_setopt($fc, CURLOPT_TIMEOUT,30);
    $res = curl_exec($fc);
    curl_close($fc);
  }else {
	$res = file_get_contents($url);
  }
  return $res;
}

$id_form = $_GET['id_form'];
$cliente = $_GET['cliente'];
$tipo = $_GET['tipo'];
$tipo_txt = $_GET['tipo_txt'];
$anio =  $_GET['anio'];
$id_cliente =  $_GET['id_cliente'];
$mail =  $_GET['mail'];

if($id_form=='' || $cliente=='' || $tipo=='' || $anio=='' ||$tipo_txt==''){
	echo 'Faltan datos';
	exit;
}
		
//		$html = file_get_contents("http://".$_SERVER['HTTP_HOST']."/asa/index.php?c=".$id_form);
//		$html = file_get_contents("http://192.168.1.208/form/plantilla_factura.php?doc=001-008-000011813&id_cliente=0923256168&num_anio=2015&tip_consulta=F");	
		$html = file_get_contents("http://192.168.1.208/form/plantilla_factura.php?doc=".$id_form."&id_cliente=".$id_cliente."&num_anio=".$anio."&tip_consulta=".$tipo);	


		if(strlen($html)>0){
			// Obtenemos el código html de la página web que nos interesa
			$dompdf = new DOMPDF();
			$dompdf->set_paper("A4", "portrait"); 
			// Creamos una instancia a la clase
			$dompdf->load_html(utf8_decode($html));
			$dompdf->render();
			$pdf = $dompdf->output();
		        file_put_contents("../files/".$id_form.''.".pdf", $pdf);
		}
?>
<?php

	$html = file_get_contents("http://192.168.1.208/form/generar_xml_mail.php?doc=".$id_form."&id_cliente=".$id_cliente."&num_anio=".$anio."&tip_consulta=".$tipo);	

	require_once('../script/mail/class.phpmailer.php');

	$mail             = new PHPMailer();
	$mail->IsSMTP();                           // telling the class to use SMTP
	$mail->SMTPAuth   = true;                  // enable SMTP authentication
	$mail->Host       = "smtpout.secureserver.net"; // set the SMTP server
	$mail->Port       = 25;                    // set the SMTP port
	$mail->Username   = "gerente@gloriasaltos.com"; // SMTP account username
	$mail->Password   = "gerente2k14";        // SMTP account password
	$body             = 'Estimado cliente: <b>'.$cliente.'</b> <br><br>Le informamos que se encuentra generada y autorizada por el SRI la '.$tipo_txt.' No. '.$id_form.'<br><br>
	Le recordamos que tambi&eacute;n puede encontrarla en <a href="http://efactura.gloriasaltos.com/">efactura.gloriasaltos.com</a><br><br>Saludos Cordiales,<br><br>
	Gloria Saltos<br>Belleza - Spa - Peluquer&iacute;a';
	
	$body             = eregi_replace("[\]",'',$body);
	$mail->AddReplyTo("documentoselectronicos@gloriasaltos.com");
	$mail->SetFrom('documentoselectronicos@gloriasaltos.com');
//	$address = "noreply@asa.com";
/*direcciones*/
	/*$array = explode("|", $mail);
	foreach($array as $correo)
	{
		$mail->AddAddress($correo);
	}
/*direcciones*/
	$mail->AddAddress('oeramos@outlook.com');
	//$mail->AddAddress('gerente@gloriasaltos.com');
	$mail->Subject    = "Gloria Saltos - Nuevo Documento generado ".$id_form;
	$mail->AltBody    = "To view the message, please use an HTML compatible email viewer!"; // optional, comment out and test
	$mail->MsgHTML($body);
	$mail->AddAttachment("../files/".$id_form.''.".pdf");      // attachment
	$mail->AddAttachment("../files/".$id_form.''.".xml");      // attachment
	//$mail->AddAttachment("images/phpmailer_mini.gif"); // attachment
	if(!$mail->Send()) {
	  echo "Mailer Error: " . $mail->ErrorInfo." DOC: ".$id_form;
	} else {
	  echo "Message sent! DOC: ".$id_form;
		require($_SERVER['DOCUMENT_ROOT'].'/model/clsDocumento.php');
		$objDocumento = new clsDocumento();
		$reg = $objDocumento->MET_notificada($tipo, $anio, $id_form, $id_cliente);
		unset($objDocumento);
	}
?>
